# Class NioEndpoint.SocketProcessor

java.lang.Object
org.apache.tomcat.util.net.SocketProcessorBase<NioChannel>
org.apache.tomcat.util.net.NioEndpoint.SocketProcessor

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  `NioEndpoint`

protected class NioEndpoint.SocketProcessor extends SocketProcessorBase<NioChannel>
This class is the equivalent of the Worker, but will simply use in an external Executor thread pool.

- ## Field Summary

  ### Fields inherited from class SocketProcessorBase

  `event, socketWrapper`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SocketProcessor(SocketWrapperBase<NioChannel> socketWrapper, SocketEvent event)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doRun()`

  ### Methods inherited from class SocketProcessorBase

  `reset, run`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SocketProcessor

    public SocketProcessor(SocketWrapperBase<NioChannel> socketWrapper, SocketEvent event)

- ## Method Details

  - ### doRun

    protected void doRun()
    Specified by:
      `doRun` in class `SocketProcessorBase<NioChannel>`